? new_vorbis.diff
? doc/Makefile.in
? doc/Makefile
? lib/bitrate_upper
? lib/bitrate_lower
? lib/bitrate_nominal
Index: libvorbis.spec
===================================================================
RCS file: /usr/local/cvsroot/vorbis/libvorbis.spec,v
retrieving revision 1.2
diff -u -r1.2 libvorbis.spec
--- libvorbis.spec	2000/10/12 03:12:37	1.2
+++ libvorbis.spec	2000/10/21 11:03:05
@@ -1,12 +1,13 @@
 Summary: The OGG Vorbis lossy audio compression codec.
-Name:  vorbis
-Version: 0.0
+Name:  libvorbis
+Version: 1.0.0
 Release: 1
 Copyright: GPL
 Group: Development/Libraries
-Source: http://www.xiph.org/vorbis/download/%{name}-%{version}.src.tgz 
+Source: http://www.xiph.org/vorbis/download/%{name}-%{version}.tar.gz
 Url: http://www.xiph.org/vorbis/index.html
 BuildRoot: /var/tmp/vorbis-root
+Requires: libogg >= 1.0.0
 
 %description 
 Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
@@ -20,6 +21,8 @@
 Copyright: LGPL
 Summary: Development library for OGG Vorbis
 Group: Development/Libraries
+Requires: libvorbis = %{PACKAGE_VERSION}
+Requires: libogg-devel >= 1.0.0
 
 %description devel
 Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
@@ -39,20 +42,8 @@
 
 %install
 rm -rf $RPM_BUILD_ROOT
+make DESTDIR=$RPM_BUILD_ROOT install
 
-install -d $RPM_BUILD_ROOT/usr/include/vorbis 
-install -d $RPM_BUILD_ROOT/usr/include/vorbis/book
-install -d $RPM_BUILD_ROOT/usr/lib
-install -d $RPM_BUILD_ROOT/usr/bin
-install -m 0755 lib/libvorbis.a $RPM_BUILD_ROOT/usr/lib/
-install -m 0755 lib/vorbisfile.a $RPM_BUILD_ROOT/usr/lib/
-install -m 0644 include/vorbis/*.h $RPM_BUILD_ROOT/usr/include/vorbis/
-install -m 0644 include/vorbis/book/*.vqh $RPM_BUILD_ROOT/usr/include/vorbis/book/
-install -m 0755 -s huff/{residuesplit,huffbuild} $RPM_BUILD_ROOT/usr/bin
-install -m 0755 -s vq/{genericvqtrain,lspvqtrain,residuevqtrain,\
-vqbuild,vqcascade,vqmetrics,vqpartition} \
-                   $RPM_BUILD_ROOT/usr/bin/
-
 %clean
 rm -rf $RPM_BUILD_ROOT
 
@@ -60,14 +51,19 @@
 %defattr(-,root,root)
 
 %doc README 
-/usr/bin/*
+/usr/lib/libvorbis*.so.*
 
 %files devel
 %defattr(-,root,root)
-%doc README docs/*.{png,html}
+%doc README doc/*.{png,html}
 /usr/include/vorbis/*
-/usr/lib/*
+/usr/lib/libvorbis*.a
+/usr/lib/libvorbis*.la
+/usr/lib/libvorbis*.so
 
 %changelog
+* Fri Oct 20 2000 Ali Abdin <aliabdin@aucegypt.edu>
+- Touch-ups to make it work correctly
+
 * Sat Apr 29 2000 Peter Jones <pjones@redhat.com>
 - first pass.
Index: lib/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/vorbis/lib/Makefile.am,v
retrieving revision 1.2
diff -u -r1.2 Makefile.am
--- lib/Makefile.am	2000/10/12 03:12:52	1.2
+++ lib/Makefile.am	2000/10/21 11:03:06
@@ -9,9 +9,10 @@
 libvorbis_la_SOURCES = mdct.c smallft.c block.c envelope.c window.c lsp.c lpc.c\
 			analysis.c synthesis.c psy.c info.c time0.c floor0.c\
 			res0.c mapping0.c registry.c codebook.c sharedbook.c\
-			iir.c\
+			iir.c lookup.c\
 			envelope.h lpc.h lsp.h bookinternal.h misc.h psy.h\
-			masking.h sharedbook.h iir.h os.h
+			masking.h sharedbook.h iir.h os.h mdct.h smallft.h\
+			registry.h scales.h window.h lookup.h lookup_data.h
 libvorbis_la_LDFLAGS = -version-info @V_LIB_CURRENT@:@V_LIB_REVISION@:@V_LIB_AGE@
 
 libvorbisfile_la_SOURCES = vorbisfile.c

